Ankündigung

Einklappen
Keine Ankündigung bisher.

[Erledigt] func_get_args wird nicht als Parameter akzeptiert

Einklappen

Neue Werbung 2019

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • [Erledigt] func_get_args wird nicht als Parameter akzeptiert

    Hallo...
    Weiß nicht ganz worein mit dem Thema..

    Wir benutzen Joomla als CMS das habe ich erfolgreich geupdatet, dann habe ich zusätzlich noch das Template geupdatet, danach ging die Homepage nicht mehr.

    Es kommt folgende Fehlermeldung:

    Fatal error: func_get_args(): Can't be used as a function parameter in /homepages/16/d372151092/htdocs/QTH/plugins/system/jsntplframework/libraries/joomlashine/template/helper.php on line 233



    In Zeile 233 der helper.php steht dieses hier:


    {
    $utils = JSNTplUtils::getInstance();

    return call_user_func_array(array($utils, 'countPositions'), func_get_args());
    }



    Wo liegt das Problem ?


  • #2
    Hilfe..dringend
    http://www.php.de/php-einsteiger/464...verwenden.html

    Wir benutzen Joomla als CMS
    http://www.php.de/php-einsteiger/543...produkten.html

    -> Joomla-Forum, google, etc...

    LG
    Debugging: Finde DEINE Fehler selbst! | Gegen Probleme beim E-Mail-Versand | Sicheres Passwort-Hashing | Includes niemals ohne __DIR__
    PHP.de Wissenssammlung | Kein Support per PN

    Kommentar


    • #3
      Because this function depends on the current scope to determine parameter details, it cannot be used as a function parameter in versions prior to 5.3.0. If this value must be passed, the results should be assigned to a variable, and that variable should be passed.
      - http://de1.php.net/manual/en/function.func-get-args.php

      Kommentar


      • #4
        Durch Fehlermeldung googlen erhält man in 99,9% der Fälle schon ne gute Antwort

        http://elinorhurst.blogspot.de/2008/...s-cant-be.html

        Kommentar


        • #5
          Zitat von dreaming Beitrag anzeigen
          Wo liegt das Problem ?
          steht in der fehlermeldung; schon im netz gesucht? dirty fix ist da geposted wo er hingehört.

          Kommentar


          • #6
            Das ist alles schön und richtig gut was ihr schreibt...
            Will nich pampig klingen..aber wenn ich gewusst hätte wohin mit, hätte ich es getan...darum landete der Beitrag hier..

            gegoogelt habe ich auch und bin auf diese Seite gestoßen http://elinorhurst.blogspot.de/2008/...s-cant-be.html

            Nur keine Ahnung was ich tun soll...ich habe also von php null plan :/

            Sagt mir einfach ganz genau was ich tun soll....)

            Danke

            Kommentar


            • #7
              Zitat von dreaming Beitrag anzeigen
              Sagt mir einfach ganz genau was ich tun soll....)
              Erneut: Joomla-Support-Foren! Nicht hier!
              Lerne Grundlagen | Schreibe gute Beispiele | PDO > mysqli > mysql | Versuch nicht, das Rad neu zu erfinden | Warum $foo[bar] böse ist | SQL Injections | Hashes sind keine Verschlüsselungen! | Dein E-Mail Regex ist falsch

              Kommentar


              • #8
                Sagt mir einfach ganz genau was ich tun soll
                ... ändere bitte jedenfalls mal den Thread-Titel, "Hilfe..dringend" geht gar nicht. Danke!
                Debugging: Finde DEINE Fehler selbst! | Gegen Probleme beim E-Mail-Versand | Sicheres Passwort-Hashing | Includes niemals ohne __DIR__
                PHP.de Wissenssammlung | Kein Support per PN

                Kommentar


                • #9
                  Du hast den geilchen beitrag wie alxy gefunden?
                  schon mal daran gedacht deine suche um das wort joomla zu erweitern?
                  nicht?

                  Kommentar


                  • #10
                    Check mal deine PHP-Version. Version 5.3.0 oder höher ist notwendig!

                    Vorschlag für Titel:
                    func_get_args wird nicht als Parameter akzeptiert
                    PHP-Klassen auf github

                    Kommentar


                    • #11
                      Zitat von dreaming Beitrag anzeigen
                      Nur keine Ahnung was ich tun soll...ich habe also von php null plan :/

                      Sagt mir einfach ganz genau was ich tun soll....)
                      Du nutzt Software, die PHP-5.3-Features nutzt, mit einer PHP-Version, die älter als 5.3 ist. Du kannst das jetzt umprogrammieren (eine Variante hast du selbst verlinkt), aber dann hast du nach jedem Joomla-Update vermutlich wieder den Salat. Und wer weiß, was da sonst noch sein könnte. Upgrade deine PHP-Version (mindestens auf 5.4, der Support für 5.3 läuft heute aus, der Support für 5.2 ist seit dreieinhalb Jahren ausgelaufen).

                      Ob es für Joomla irgendwelche speziellen Legacy-Lösungen gibt, kann ich nicht sagen.

                      Kommentar


                      • #12
                        Vielen Dank an euch alle
                        Auch wenn es nciht das passende Forum war...lag wirkich nur an der php version.

                        Kommentar


                        • #13
                          Nimm dir die Zeit und ändere bitte den sinnlosen Titel "Hilfe..dringend" in was Sinnvolles!
                          PHP-Klassen auf github

                          Kommentar


                          • #14
                            So alles nach euren Wünschen gemacht
                            Vielen Dank nochmals !

                            Kommentar

                            Lädt...
                            X